cgD3D9IsParameterShadowingEnabled(3)

NAME
cgD3D9IsParameterShadowingEnabled - determine if parameter shadowing is enabled

SYNOPSIS
  #include <Cg/cgD3D9.h>
  CGbool cgD3D9IsParameterShadowingEnabled( CGprogram program );

PARAMETERS

program
    The program to check for parameter shadowing.

RETURN VALUES
Returns CG_TRUE if parameter shadowing is enabled for program.

Returns CG_FALSE otherwise.

DESCRIPTION
cgD3D9IsParameterShadowingEnabled determines if parameter shadowing is enabled for program.

EXAMPLES
  // program is a CGprogram initialized elsewhere
  ...
  CGbool isShadowing = cgD3D9IsParameterShadowingEnabled(program);

ERRORS
None.

HISTORY
cgD3D9IsParameterShadowingEnabled was introduced in Cg 1.1.

SEE ALSO
cgD3D9EnableParameterShadowing, cgD3D9LoadProgram